Subject: Re: bug#65177: udevd error with lvm-raid array leading to race condition with luks

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 03 Feb 2025 12:24:57 +0900

Hi Adrien,

Adrien 'neox' Bourmault <[email-masked]> writes:

> Hi there.
> My setup is the following (LVM array containing a LUKS partition):
>
>   (mapped-devices
>    (list
>     (mapped-device
>       (source "HOMERAID")
>       (target "HOMERAID-HOMERAID_data")
>       (type lvm-device-mapping))
>     (mapped-device
>       (source "/dev/mapper/HOMERAID-HOMERAID_data")
>       (target "luks-f0a72a6c-499b-4445-8d13-21dc99337752")
>       (type luks-device-mapping))))
>
>   (file-systems
>     (cons*
>       (file-system
>         (mount-point "/")
>         (device (uuid "2e44f3f7-bb6b-43ac-933a-e8992bf10d29" 'ext4))
>         (type "ext4"))
>       (file-system
>         (mount-point "/home")
>         (device "/dev/mapper/luks-f0a72a6c-499b-4445-8d13-21dc99337752")
>         (type "ext4")
>         (dependencies mapped-devices))
>       (file-system
>         (mount-point "/boot/efi")
>         (device (uuid "DC58-946E" 'fat32))
>         (type "vfat"))
>      %base-file-systems)))
>
> I use Guix System since 2022, and never had any problem booting with
> this configuration. But I did update my system (and reconfigure it)
> last week and now I can't boot. I don't have any older generation to
> restore (yes I'm dumb, I executed a delete-generations to show how it
> works to a friend), but I think the last working one was from July,
> 25th or just a bit older.
>
> I have in my /var/log/messages :
>
>   Aug  9 11:40:27 localhost vmunix: [    7.525877] udevd[515]: failed
>   to execute '/usr/bin/systemd-run' '/usr/bin/systemd-run --no-block
>   --property DefaultDependencies=no --unit lvm-activate-HOMERAID
>   /gnu/store/hffkn63zx2zjadawrkxpnr486frc9n74-lvm2-2.03.21/sbin/lvm
>   vgchange -aay --autoactivation event HOMERAID': No such file or
>  directory

It seems there were other issues resolved that may have fixed that.
I've tentatively marked this one as resolved, but if it doesn't work for
you still, let us know and we can reopen/create a new issue.

-- 
Thanks,
Maxim